.btn_history,
.btn_setting {
    background-repeat: no-repeat;
    background-size: 20px 20px;
    background-position: center;
}
.btn_history {
    display: block;
    top: 329px;
}
.btn_setting {
    display: block;
    top: 374px;
    /* TO DO */
    /*top: 329px;*/
	top: 398px;
}
.setting_mask {
    position: fixed;
    top: 218px;
    right: 45px;
    left: auto;
    width: 658px;
    z-index: 1041;
}
#graph_container {
    height: auto;
}
.menu-btn.btn_history {
    box-shadow: 0px 2px 0px 0px rgba(255,255,255,1) inset;
    -webkit-box-shadow: 0px 2px 0px 0px rgba(255,255,255,1) inset;
    -moz-box-shadow: 0px 2px 0px 0px rgba(255,255,255,1) inset;
}
/* TO DO */
.menu-btn.btn_setting {
    box-shadow: 0px 2px 0px 0px rgba(255,255,255,1) inset;
    -webkit-box-shadow: 0px 2px 0px 0px rgba(255,255,255,1) inset;
    -moz-box-shadow: 0px 2px 0px 0px rgba(255,255,255,1) inset;
}
.btn_temp {
    /* background-image: url(/images/icon_setting.svg); */
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: contain;
    border: none;
    width: 20px;
    height: 20px;
}
.toggle_on_setting_button {
    background-image: unset;
    font-weight: bold;
}
.btn_setting.toggle_on,
.btn_history.toggle_on {
    background-color: #fff;
}
.menu-btn.btn_setting.toggle_on {
    background-image: url(../images/icon_setting_hover.svg);
}
.menu-btn.btn_history.toggle_on {
    /* width: 30px;
    height: 30px;
    background-color: #fff;
    border-radius: 6px; */
    background-image: url(../images/icon_history_hover.svg);
    /* background-repeat: no-repeat;
    background-size: 20px 20px;
    background-position-x: 11px;
    background-position-y: 10px;
    margin-top: 0px;
    margin-bottom: -5px;
    margin-right: 18px;
    margin-left: -6px; */
    /* position: relative; z-index: 1051; */
}
button.menu-btn.btn_history.toggle_on:hover,
button.menu-btn.btn_setting.toggle_on:hover {
    background-color: #fff;
}
#history.modal.fade.show {
    color: black;
    display: block;
    background-color: #000000c2;
    overflow: auto;
}

#history.modal.fade.show .modal-dialog {
    position: absolute;
    max-width: 100%;
    margin: 0;
}

#history.modal.fade.show .modal-dialog .modal-content {
    border-radius: inherit;
    padding: 20px 40px 40px;
    border: unset;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-menu {
    color: #175890;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-menu button.close {
    padding: 0;
    cursor: pointer;
    background: 0 0;
    border: 0;
    -webkit-appearance: none;
    float: right;
    font-size: 40px;
    line-height: 0.5;
    color: #175890;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-header {
    display: block;
    color: #175890;
    font-weight: bold;
    padding-left: 0;
    padding-right: 0;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-header .modal-title {
    font-size: 17px;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-header .modal-title img {
    width: 20px;
    height: 20px;
    margin-right: 3px;
    /* filter: invert(25%) sepia(50%) saturate(1720%) hue-rotate(182deg) brightness(94%) contrast(89%); */
}

#history.modal.fade.show .modal-dialog .modal-content .modal-header .modal-title .cc {
    width: 20px;
    height: 20px;
    margin-right: 3px;
    background-image: url(../images/clock-date-calendar-icon.png);
    background-size: cover;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-header .modal-title .detail {
    font-size: 12px;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body {
    display: flex;
    flex-wrap: wrap;
    padding-left: 0;
    padding-right: 0;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body #dateall,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #timeall {
    display: flex;
    flex-direction: column;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body #datepicker12 table.table-condensed thead {
    color: #175890;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body #datepicker12 .datepicker-inline {
    width: auto;
    padding-left: 0;
    padding-right: 0;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body #datepicker12 .datepicker td,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #datepicker12 .datepicker th {
    padding: 1px 8px;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body #datepicker12 .datepicker td.active.active {
    background-color: unset;
    background-image: unset;
}
#history.modal.fade.show .modal-dialog .modal-content .modal-body #datepicker12 .datepicker td div {
    width: 24px;
    line-height: 24px;
    text-align: center;
    font-weight: bold;
}
#history.modal.fade.show .modal-dialog .modal-content .modal-body #datepicker12 .datepicker td.active.active div {
    background-color: #018dff;
    border-radius: 12px;
}
#history.modal.fade.show .modal-dialog .modal-content .modal-body #datepicker12 table.table-condensed thead tr th {
    padding-bottom: 10px;
}
#history.modal.fade.show .modal-dialog .modal-content .modal-body #dateheader,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #datepicker12,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #timeheader {
    width: 291px;
}
#history.modal.fade.show .modal-dialog .modal-content .modal-body #dateheader,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #timeheader {
    font-size: 12px;
}
#history.modal.fade.show .modal-dialog .modal-content .modal-body #rightpicker12,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #leftpicker12 {
    padding: 0 15px;
    margin: 30px 0 15px;
}
#history.modal.fade.show .modal-dialog .modal-content .modal-body #rightpicker12 {
    border-right: 1px solid #e9ecef;
}
#history.modal.fade.show .modal-dialog .modal-content .modal-body #leftpicker12 {
    border-left: 1px solid transparent;
}
#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 {
    width: 301px;
    margin: 12px -5px;
}
#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 table,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 table tbody,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 table tbody tr,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 table tbody tr td,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 table tbody tr td div,
#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 table tbody tr td a {
    border: unset;
    background: unset;
    padding: 0;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 table.ui-timepicker tbody tr td {
    padding: 4.5px 19.63px;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 .ui-widget-content table.ui-timepicker tbody tr td a.ui-state-active {
    background: #018dff;
    color: #ffffff;
    border-radius: 12px;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 .ui-timepicker-table.ui-widget-content table.ui-timepicker tbody tr td .ui-state-default {
    font-weight: bold;
    padding: 1px 5px;
    border: unset;
    width: 45.813px;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 .ui-timepicker-table.ui-widget-content table.ui-timepicker tbody tr td:first-child {
    padding-left: 0;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-body #timepicker12 .ui-timepicker-table.ui-widget-content table.ui-timepicker tbody tr td:last-child {
    padding-right: 0;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-footer {
    display: block;
    font-weight: bold;
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 0;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-footer #text {
    color: #175890;
}

#history.modal.fade.show .modal-dialog .modal-content .modal-footer .btn-apply {
    color: #fff;
    background-color: #175890;
    border-color: #175890;
    padding: 0.15rem 0.75rem;
}
#warning_view .live_button_row,
.timeshift #warning_view .total_warning_row/*,
#warning_view .search_row .search_row_left [for="search"],
.timeshift #warning_view .search_row .search_row_left [for="region"]*/ {
    display: none !important;
}
/* .wrapper .header .main-menu-bar #tz-box .event, */
#before_map.banner,
.timeshift .header .main-menu-bar #tz-box label,
.timeshift .header .main-menu-bar #tz-box select,
/* .button_row .btn-live, */
.timeshift .setting_mask #filter_view #filter_scroll_view .filter_scroll_view_div1 ul#slayer_menu .filter_view_margin_left,
.timeshift #tc_view .total_warning_row .btn_tableViewt,
#tc_view .total_warning_row .tc_choose_menu,
#tc_view .tc_control_row #centre_info .tc_dashed_menu {
    display: none;
}
.timeshift #footer_last_update {
    visibility: hidden;
}
/* .timeshift #warning_view .search_row .search_row_right [for="wmo_members"] {
    visibility: hidden;
} */
.timeshift #warning_view,
.timeshift #tc_view,
.timeshift #sw_info_view,
.timeshift #maritime_view,
.timeshift #warning_view #level-1,
.timeshift #warning_view .members_row,
.timeshift #warning_view #level-2,
.timeshift #warning_view #level-3,
.timeshift #warning_view .warnings_row,
.timeshift #warning_view .details_row {
    background-color: #424C52;
}
.timeshift .setting_mask {
    background-color: #424C52d9;
}
/* .timeshift #warning_view .msc-wrapper.with-arrows .msc-scrollbar,
.timeshift #warning_view .msc-wrapper .msc-scrollbar .msc-track {
    background-color: #404040;
} */
.timeshift #warning_view .live_button_row,
.timeshift #warning_view .search_row .search_row_left [for="search"] {
    display: block !important;
}
.timeshift #warning_view .live_button_row {
    padding: 5.72px 15px 5.71px 23px;
}
.timeshift #warning_view .live_button_row .info {
    display: flex;
    color: #000000;
    /* margin: 6px 15px 6px 23px; */
    padding: 4px 15px;
    background-color: #cadcf4;
}
.timeshift #warning_view .live_button_row .info .icon.history_time {
    width: 30px;
    height: 30px;
    margin: 2px 0;
    background-image: url(../images/history_time.svg);
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: contain;
}
.timeshift #warning_view .live_button_row .info .detail {
    margin: 0 15px;
}
/* .timeshift .button_row .btn-live {
    float: left;
    margin-top: 3px;
    margin-left: 18px;
    display: block;
}
.timeshift .button_row .btn-live img {
    width: 5px;
    margin-top: -2px;
    margin-right: 5px;
}
.timeshift .button_row .btn-live a {
    color: #ffffff;
    text-decoration: underline;
} */
.timeshift #before_map.banner {
    background-color: #424C52;
    position: relative;
    top: 218px;
    z-index: 401;
    /* opacity: 0.75; */
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    /* display: block; */
    /* min-height: 50px; */
    /* element.style {
        height: 90px;
        top: 48px;
    } */
}
.timeshift #before_map.banner .center {
    display: flex;
}
.timeshift #before_map.banner div.label,
.timeshift #before_map.banner div.datetime div.text.btn_history {
    color: white;
    font-size: 16px;
    line-height: 30px;
}
.timeshift #before_map.banner div.label {
    margin-right: 15px;
    /* margin-top: 10px; */
    display: inline-block;
    /* padding-top: 10px; */
}
/* .timeshift #before_map.banner div.label {
    float: left;
} */
.timeshift #before_map.banner div.datetime {
    /* display: flex; */
    /* width: 390.66px; */
    /* padding-top: 10px; */
    /* margin: 10px 0;
    display: inline-block; */
}
.timeshift .leaflet-top .leaflet-control {
    margin-top: 20px;
}
/* .timeshift #before_map.banner div.datetime {
    float: left;
} */
.timeshift #before_map.banner div.datetime div.text.btn_history {
    background-image: unset;
    cursor: pointer;
    padding: 0 10px;
    margin-right: 15px;
    background-color: #616161;
    border-radius: 5px;
    border: 1px solid #707070;
    height: 30px;
    width: auto;
    float: left;
    -webkit-box-shadow: 0px 3px 6px #00000029;
    -moz-box-shadow: 0px 3px 6px #00000029;
    box-shadow: 0px 3px 6px #00000029;
}
/* .timeshift #before_map.banner div.datetime div.text.btn_history {
    float: right;
    width: 30px;
    height: 28px;
    background-size: 20px 20px;
    background-position: center;
} */
.timeshift #before_map.banner div.btn_row {
    display: flex;
}
.timeshift #before_map.banner div.btn_row .prev_day,
.timeshift #before_map.banner div.btn_row .prev_hour,
.timeshift #before_map.banner div.btn_row .next_hour,
.timeshift #before_map.banner div.btn_row .next_day {
    width: 30px;
    height: 30px;
    background-color: #616161;
    background-repeat: no-repeat;
    background-size: 20px 20px;
    /* background-position-x: 6px;
    background-position-y: 5px; */
    background-position: center;
    /* background-size: 70%; */
    margin-right: 10px;
    /* margin-left: 12px; */
    border-radius: 5px;
    border: 1px solid #707070;
    /* filter: drop-shadow(0px 3px 6px #00000029); */
    -webkit-box-shadow: 0px 3px 6px #00000029;
    -moz-box-shadow: 0px 3px 6px #00000029;
    box-shadow: 0px 3px 6px #00000029;
}
.timeshift #before_map.banner div.btn_row .prev_day {
    background-image: url(../images/day-1.svg);
}
.timeshift #before_map.banner div.btn_row .prev_hour {
    background-image: url(../images/hour-1.svg);
}
.timeshift #before_map.banner div.btn_row .next_hour {
    background-image: url(../images/hour+1.svg);
}
.timeshift #before_map.banner div.btn_row .next_day {
    background-image: url(../images/day+1.svg);
    margin-right: 0px;
}
/* .timeshift #warning_view .live_button_row .info .event, */
.timeshift #before_map.banner .event {
    /* display: flex;
    justify-content: center;
    align-items: center; */
    /* margin-top: 10px;
    float: right; */
    position: absolute;
    right: 10px;
    display: inline-block;
    /* padding-top: 10px; */
}
/* .timeshift #warning_view .live_button_row .info .event .btn-live, */
.timeshift #before_map.banner .event .btn-live {
    /* background-color: #0a3a8e; */
    color: #FFFFFF;
    border-radius: 4px;
    padding: 0 10px;
    font-size: 16px;
    border-color: #FFFFFF;
    height: 30px;
    line-height: 30px;
}
.prompt {
    background-color: #b30028;
    position: absolute;
    z-index: 401;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 0 0 10px;
    bottom: 20px;
    left: 20px;
    border-radius: 15px;
}
.prompt .icon.storm_track {
    width: 22px;
    height: 22px;
    margin: 4px 0;
    background-image: url(../images/stormTrack.svg);
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: contain;
    margin-right: 6px;
}
.prompt span {
    color: white;
    font-size: 13.5px;
}
.prompt button.close.icon.tc_back {
    width: 30px;
    height: 30px;
    border: 0;
    background-image: url(../images/tc_back.svg);
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: contain;
    margin-left: 5px;
}
#warnarea.pretty.p-default {
    display: block;
    margin-bottom: 12px;
}
@media only screen and (max-width: 1536px) {
    .setting_mask {
        font-size: 13px;
        width: 586px;
    }
    .s_btn {
        margin-bottom: 8px;
    }
    #s_btn_0 {
        margin-top: 0px;
    }
    .severity_button_row {
        padding: 13px 0px 5px 23px;
    }
}
@media (min-width: 991px) and (max-width: 1280px) {
    .setting_mask {
        font-size: 12px;
        width: 400px;
    }
    .toggle_on_setting_button {
        right: 8px;
    }
    #warnings_warning_list_2 {
        width: 94%;
    }
    /* #map {
        top: 149px!important;
    }
    #side_menu_bar {
        display: block;
    }
    .severity_legend {
        font-size: 12px;
        position: absolute;
        bottom: 48px;
    }
    .leaflet-custom-zoom {
        padding-top: 223px!important;
    }
    #noti-tc {
        top: 201px;
        right: 6px;
        bottom: auto;
    }
    #warning_view, #tc_view, #sw_info_view, #maritime_view {
        right: 45px;
        top: 149px;
    }
    .menu-btn {
        width: 45px;
        position: absolute;
        background-size: 30px 30px;
        right: 0px;
    }
    .btn-cap {
        top: 149px;
    }
    .btn-tc {
        top: 194px;
    }
    .btn-obser {
        top: 239px;
    }
    .btn-marine {
        top: 284px;
    } */
}
@media (max-width: 61.9em) {
    #filter_view {
        right: 0;
        top: 36px;
    }
}
@media (min-width: 768px) and (max-width: 990px) {
	/* .timeshift #warning_view, .timeshift #tc_view, .timeshift #sw_info_view, .timeshift #maritime_view, .timeshift .setting_mask {
		top: 138px;
	} */
	.timeshift #before_map.banner {
		top: 48px!important;
        display: block;
    }
    .timeshift #before_map.banner div.datetime {
        padding-top: 10px;
	}
    .timeshift .leaflet-top .leaflet-control {
        margin-top: 94px!important;
	}
	.menu-btn {
        width: 16.6666666666666%;
        /* TO DO */
        width: 20%;
        top: auto!important;
    }
    .menu-btn.btn_history {
        box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
        -webkit-box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
        -moz-box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
    }
    /* TO DO */
    .menu-btn.btn_setting {
        box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
        -webkit-box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
        -moz-box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
    }
    .setting_mask {
        top: 48px;
        right: 0;
        width: 100%;
    }
    /* .timeshift .setting_mask {
        top: 138px;
    } */
}
@media (min-width: 768px) and (max-width: 990px) {
    .a1, .b1 {
        width: 30%;
    }
    #tc_view .total_warning_row .tc_choose_menu {
        padding: 6px 0;
    }
    #tc_view .total_warning_row .tc_choose_menu,
    #tc_view .tc_control_row #centre_info .tc_dashed_menu {
        display: inline-block;
        line-height: 0.5;
    }
    #tc_view .total_warning_row .tc_choose_menu {
        float: left;
    }
    #tc_view .total_warning_row .tc_choose_menu,
    #tc_view .tc_control_row #centre_info .tc_dashed_menu {
        width: 20%;
    }
    #tc_view .total_warning_row .tc_choose_menu .btn-tc-menu,
    #tc_view .tc_control_row #centre_info .tc_dashed_menu .btn-tc-menu {
        width: 25.7px;
        height: 25.7px;
        background: url(/images/btn-main-menu.png) 0px 0px / 51.4px 25.7px no-repeat;
        border: none;
		text-indent: -999px;
    }
    #tc_view .tc_control_row .tc_choose {
        top: 16px;
        left: calc(30% + 25.7px);
    }
    #tc_view .tc_control_row #centre_info .tc_dashed {
        left: 206.26px;
    }
    #tc_view .tc_control_row .tc_choose,
    #tc_view .tc_control_row #centre_info .tc_dashed {
        display: none;
        position: absolute;
        z-index: 2;
        background-color: #196ca2;
        padding: 20px;
    }
    #tc_view .tc_control_row {
        padding-top: 0;
        padding-bottom: 0;
    }
    #tc_view .tc_control_row .select_arrow_1 {
        margin-top: 10px;
    }
    #tc_view .tc_control_row #centre_info {
        margin-top: 10px;
        margin-bottom: 10px;
        display: flex;
    }
    /* #tc_view .tc_control_row div#centre_info br {
        display: none;
    } */
}
@media (max-width: 767px) {
	/* .timeshift #warning_view, .timeshift #tc_view, .timeshift #sw_info_view, .timeshift #maritime_view, .timeshift .setting_mask {
		top: 138px;
	} */
	.timeshift #before_map.banner {
		top: 48px!important;
        display: block;
	}
    .timeshift #before_map.banner div.datetime {
        padding-top: 10px;
	}
    .timeshift .leaflet-top .leaflet-control {
        margin-top: 94px!important;
    }
	.menu-btn {
        width: 16.6666666666666%;
        /* TO DO */
        width: 20%;
        top: auto!important;
    }
    .menu-btn.btn_history {
        box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
        -webkit-box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
        -moz-box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
    }
    /* TO DO */
    .menu-btn.btn_setting {
        box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
        -webkit-box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
        -moz-box-shadow: 2px 0px 0px 0px rgba(255,255,255,1) inset;
    }
    .setting_mask {
        top: 48px;
        right: auto;
        width: 100%;
        /*z-index: 3;*/
        z-index: 10000;
    }
    #warnings_warning_list_2 {
        width: 100%;
    }
    /* .timeshift .setting_mask {
        top: 138px;
    } */
}